<?php

include_once(realpath(dirname(__FILE__)) . "/../../../../../fonctions/port.php");

class Gshopping extends Comparateur {

    public function flux() {
        $xml = '';
        $variable = new Variable();
        $produitdesc = new Produitdesc();
        $variable->charger("nomsite");
        $query = "SELECT *, cd.titre as titremarque, p.id as refProduit, p.rubrique as rubriqueproduit, pd.titre as produit_titre, co.`ean-cup` as eancup, co.`ref-fabricant` as reffrabricant
                  FROM " . Shopbotexportservice::$tableCompProduit . " cp, produit p, produitdesc pd, caracval ca, caracdispdesc cd, caracdisp cad, image i, " . Shopbotexportservice::$tableCompComplements . " co
                  WHERE cp.refProd = p.ref
                    AND p.id = pd.produit
                    AND pd.produit = i.produit
                    AND pd.produit = ca.produit
                    AND ca.caracdisp = cd.caracdisp
                    AND cd.caracdisp = cad.id
                    AND cad.caracteristique = 1
                    AND idComp = '" . $this->getIdComparateur() . "'
                    AND cp.categorie != ''
                    AND p.ref = co.refProd
                    AND p.ligne != 0
                  GROUP BY idComp, refProduit";
        
        $nomsite = $variable->valeur;
        $xml =
"<?xml version=\"1.0\" ?>
<rss xmlns:g=\"http://base.google.com/ns/1.0\" version=\"2.0\">
    <channel>
        <title>Catalogue Thelia - " . $nomsite . "</title>";
        $variable->charger("urlsite");
        $xml .= "
        <link>" . htmlspecialchars($variable->valeur) . "</link>
        <description>Flux de produits Thelia</description>\n";
        $ret = mysql_query($query, $this->getCnx());
        if ($ret && mysql_num_rows($ret) > 0) {
            while ($row = mysql_fetch_object($ret)) {
                $produitdesc->charger($row->refProduit);
                if ($row->prix != $row->prix2) {
                    $prix_barre = $row->prix;
                } else {
                    $prix_barre = "";
                }
                $xml .=
        "<item>
            <id>" . $row->refProduit . "</id>
            <title><![CDATA[" . $row->produit_titre . "]]></title>
            <description><![CDATA[" . strip_tags($row->description) . "]]></description>
            <g:price>" . $row->prix . " EUR</g:price>
            <g:link><![CDATA[" . str_replace("&amp;", "&", @$produitdesc->getUrl($row->rubriqueproduit)) . "?utm_source=" . $this->getNom() . "&utm_medium=cpc&utm_content=" . $row->ref . "&utm_campaign=" . $this->getNom() . "]]></g:link>
            <g:condition>new</g:condition>
            <g:brand>" . $nomsite . "</g:brand>
            <g:gtin>" . $row->eancup . "</g:gtin>
            <g:image_link><![CDATA[" . $variable->valeur . "/client/gfx/photos/produit/" . $row->fichier . "]]></g:image_link>
            <g:online_only></g:online_only>
            <g:mpn>" . $row->reffrabricant . "</g:mpn>
            <g:weight></g:weight>
            <g:color></g:color>
            <g:expiration_date></g:expiration_date>
            <g:google_product_category><![CDATA[" . $row->categorie . "]]></g:google_product_category>
            <g:quantity>" . $row->stock . "</g:quantity>
            <g:year></g:year>
            <g:shipping></g:shipping>
            <g:availability>in stock</g:availability>
            <g:gender></g:gender>
            <g:edition></g:edition>
            <g:author></g:author>
            ";
            if($row->promo) {
                $xml .= "<g:sale_price>" . $row->prix2 . " EUR</g:sale_price>";
            } else {
                $xml .= "<g:sale_price></g:sale_price>";
            } 
            $xml.="
            <g:product_type><![CDATA[" . $row->categorie . "]]></g:product_type>
            <g:item_group_id></g:item_group_id>
            <g:material></g:material>
            <g:pattern></g:pattern>
            <g:size></g:size>
            <g:age_group></g:age_group>
            <g:shipping_weight></g:shipping_weight>
            <g:tax></g:tax>
            <g:additional_image_link></g:additional_image_link>
            <g:adwords_redirect><![CDATA[" . str_replace("&amp;", "&", @$produitdesc->getUrl($row->rubriqueproduit)) . "?utm_source=" . $this->getNom() . "&utm_medium=cpc&utm_content=" . $row->ref . "&utm_campaign=" . $this->getNom() . "]]></g:adwords_redirect>
            <g:sale_price_effective_date></g:sale_price_effective_date>
            <g:adwords_publish></g:adwords_publish>
            <g:adwords_grouping></g:adwords_grouping>
            <g:adwords_labels></g:adwords_labels>
        </item>\n";
            }
        }
        $xml .=
                "   </channel>
</rss>";
        echo $xml;
    }

}

?>
