$(document).ready(
    function(){        
        hideLoading();        
        $("#all").click(function(){            
            $("#current").html("");            
            $("div [id^=listeproduits]").each(function() {                
                $(this).remove();            
            });            
            $.ajax({                
                beforeSend: showLoading(),                
                url: httphost+"/ajax/shopbots_rechercher.php" ,                
                data: "idcomparateur="+$("#current").text()+"&recherche="+$(this).val(),                
                dataType: "xml",                
                success: function(data){                    
                    $(data).each(function() {                        
                        recherche(data);                    
                    });                    
                    hideLoading();                
                }            
            });            
            return false;        
        })        
        $("a[id^=comp-]").click(function(){            
            nb = 0;            
            $("#nbres").attr("value", nb);            
            $("#current").html($(this).text());            
            $("div [id^=listeproduits]").each(function() {                
                $(this).remove();            
            });            
            $('#nbres').attr("value", "0");            
            $.ajax({
                beforeSend: showLoading(),                
                url: httphost+"/ajax/shopbots_rechercher.php" ,                
                data: "idcomparateur="+$(this).attr("id").split("-")[1],                
                dataType: "xml",                
                success: function(data){
                    $(data).each(function() {
                        recherche(data);
                    });
                    hideLoading();
                    $("#nbres").attr("value", nb);
                }
            });
            return false;
        });
        $("#search").keyup(function(){
            var val = $("#search").val();
            $("div [id^=listeproduits]").each(function() {
                $(this).remove();
            });
            $.ajax({
                beforeSend: showLoading(),                
                url: httphost+"/ajax/shopbots_rechercher.php" ,                
                data: "idcomparateur="+$("#current").text()+"&recherche="+val,                
                dataType: "xml",                
                success: function(data){
                    $(data).each(function() {
                        recherche(data);
                    });
                    hideLoading();
                }
            });
        });
        $("a[id^=comparateur]").hover(function(){
            $(this).css('cursor','pointer');
        });
        $("a[id^=etat-]").click(function() {
            var comp = $(this).attr("id").split("-")[1];
            var img =  $(this).children("img");
            var etat = $(this).children("img").attr("alt");
            $.ajax({
                url : httphost+"/ajax/shopbots_etat.php?active="+etat+"&comparateur="+comp,                
                success:                    
                function(data) {
                    if(etat == "on") {
                        img.attr("src", httphost+"/images/off_comp.png");
                        img.attr("alt", "off");
                    } else {
                        img.attr("src", httphost+"/images/on_comp.png");
                        img.attr("alt", "on");
                    }
                }
            });
            return false;
        });
    });