<?php
include_once(realpath(dirname(__FILE__)) . "/Shopbotexportservice.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Variable.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../fonctions/authplugins.php");
autorisation("shopbotexportservice");
$shopbot = new Shopbotexportservice();
$variable = new Variable();
$variable->charger("urlsite");
$httphost = $variable->valeur . "/client/plugins/shopbotexportservice";
?>
<div class="entete">
    <div class="titre" style="cursor:pointer" onclick="$('#shopbots').show('slow');">GESTION DES COMPARATEURS DE PRODUITS</div>
    <div class="fonction_valider">
        <a onclick="envoyer()" href="#">VALIDER LES MODIFICATIONS</a>
    </div>
</div>
<div class="blocs_description" id="shopbots" >
    <table width="100%" cellpadding="5" cellspacing="0" style="margin-bottom: 0px; ">
        <?php
        $i = 1;
        foreach ($shopbot->comparateurs as $comparateur) {
            if ($comparateur->getEtat()) {
                $class = "claire";
                ?>                <tr class="<?php echo $class; ?>" >
                    <?php
                    $css = "border-bottom: none;";
                    if ($i == count($shopbot->comparateurs)) {
                        $css = "border-bottom: 1px dotted #ffffff;";
                    }
                    ?>
                    <th class="designation" style="display: block;width: 130px !important; height:44px; padding-top:14px;background-image:url('<?php echo $httphost; ?>/images/bg_comp.png'); background-repeat: no-repeat; background-position: 6px 10px;text-align: center;<?php echo $css; ?>">
                        <img src="<?php echo $httphost . "/" . $comparateur->getRelativePathImg(); ?>" alt="<?php echo $comparateur->getNom(); ?>"  height="40px" />
                    </th>                    <td colspan="2" width="100%" style="padding: 0;border-bottom:  1px dotted #9eb0be;">
                        <div style="display: block; float: left; width: 95%;padding-left: 2px;padding-top: 2px;">
                            <img src="<?php echo $httphost; ?>/images/clics.png" alt="clics" style="display: block; float: left;padding-right: 5px; padding-top: 4px;" />
                            <p style="display: block; float: left;width: 150px;">
                                <?php echo $comparateur->getNombreClicsProduit($_GET["ref"]); ?> Clics
                            </p>
                            <a href="#" rel="configuration" id="conf-<?php echo $comparateur->getNom(); ?>" style="text-decoration: none;display: block; float: right;color: #3b4b5b;font-weight: normal;">
                                <p style="display: block; float: left;">configuration</p>
                                <img src="<?php echo $httphost; ?>/images/conf.png" alt="clics" style="display: block; float: left;padding-top: 4px; padding-left: 5px;" />
                            </a>
                            <br />
                            <div class="clearboth"></div>
                            <br />
                            <img src="<?php echo $httphost; ?>/images/cat.png" alt="Catégorie" style="display: block; float: left;padding-right: 5px; padding-top: 4px;" />
                            <p style="display: block; float: left;" id="cat-<?php echo $comparateur->getNom(); ?>">
                                <?php
                                if ($comparateur->getCategorie($_GET["ref"]) != "Aucune catégorie associée.") {
                                    echo $shopbot->reductionStrMilieu(htmlspecialchars($comparateur->getCategorie($_GET["ref"])), 68);
                                } else if ($comparateur->getOldCategorie($_GET["ref"]) != "") {
                                    echo $shopbot->reductionStrMilieu(htmlspecialchars($comparateur->getOldCategorie($_GET["ref"])), 68);
                                } else {
                                    echo "Acune catégorie associée.";
                                }
                                ?>
                            </p>
                        </div>
                        <div  style="display: block; float: right; width: 4%;">
                            <a href="#" rel="active" style="display:block; float: right;padding: 0px; margin: 0px;" id="etat-<?php echo $comparateur->getNom(); ?>">
                                <?php if ($comparateur->getCategorie($_GET["ref"]) != "Aucune catégorie associée.") { ?>
                                    <img src="<?php echo $httphost ?>/images/on_comp.png" alt="on" />
                                <?php } else if ($comparateur->getOldCategorie($_GET["ref"]) != "") { ?>
                                    <img src="<?php echo $httphost ?>/images/off_comp.png" alt="off" />
                                <?php } else { ?>
                                    <img src="<?php echo $httphost ?>/images/off_comp.png" alt="off" />
                                <?php } ?>
                            </a>
                        </div>
                    </td>
                </tr>
                <?php
                $i++;
            }
        } if ($i > 1) {
            $complements = $shopbot->getComplementsProduit($_GET["ref"]);
            ?>
            <tr class="claire">
                <th class="designation" style="display: block;width: 130px; height:59px;background-image:none; border-bottom: none;text-align: left;padding: 0 0 0 10px;">
            <h4 style="display: block; float: right;margin: 0px;color: #ebedee;font-size:14px; font-weight: bold; padding: 5px 3px 5px 0px !important;">INFORMATIONS</h4>
            <br />
            Fabricant
            </th>
            <td colspan="2" width="100%" style="padding: 0 0 10px 0;border-bottom:  1px dotted #9eb0be;">
                <h4 style="display: block;margin: 0px;color: #9eb0be;font-size:14px; font-weight: bold; padding: 5px 0px 5px 2px !important;">COMPLEMENTAIRES</h4>
                <input type="text" name="fabricant" value="<?php echo $complements["fabricant"] ?>" class="form" style="display: block; float: left;margin-left: 35px; width: 300px;" />
                <a href="#" rel="Question ?" style="display: block; float: left;padding-left: 3px;padding-top: 4px;" class="question-dialog" >
                    <img src="<?php echo $httphost ?>/images/mark.png" alt="question" title="fabricant" />
                </a>
            </td>
            </tr>
            <tr class="claire">
                <th class="designation" style="display: block;width: 130px; height:30px;background-image:none; border-bottom: none;text-align: left;padding: 5px 0 0 10px;">
                    Ref. Fabricant
                </th>
                <td colspan="2" width="100%" style="padding: 0;border-bottom:  1px dotted #9eb0be;">
                    <input type="text" name="ref-fabricant" value="<?php echo $complements["ref-fabricant"] ?>" class="form" style="display: block; float: left;margin-left: 35px; width: 300px;" />
                    <a href="#" rel="Question ?" style="display: block; float: left;padding-left: 3px;padding-top: 4px;" class="question-dialog" >
                        <img src="<?php echo $httphost ?>/images/mark.png" alt="question" title="ref-fabricant" />
                    </a>
                </td>
            </tr>
            <tr class="claire">
                <th class="designation" style="display: block;width: 130px; height:30px;background-image:none; border-bottom: none;text-align: left;padding: 5px 0 0 10px;">
                    EAN/CUP
                </th>
                <td colspan="2" width="100%" style="padding: 0;border-bottom:  1px dotted #9eb0be;">
                    <input type="text" name="ean-cup" value="<?php echo $complements["ean-cup"] ?>" class="form" style="display: block; float: left;margin-left: 35px; width: 300px;" />
                    <a href="#" rel="Question ?" style="display: block; float: left;padding-left: 3px;padding-top: 4px;" class="question-dialog" >
                        <img src="<?php echo $httphost ?>/images/mark.png" alt="question" title="ean-cup" />
                    </a>
                </td>
            </tr>
            <tr class="claire">
                <th class="designation" style="display: block;width: 130px; height:30px;background-image:none; border-bottom: none;text-align: left;padding: 5px 0 0 10px;">
                    ISBN
                </th>
                <td colspan="2" width="100%" style="padding: 0;border-bottom:  1px dotted #9eb0be;">
                    <input type="text" name="isbn" value="<?php echo $complements["isbn"] ?>" class="form" style="display: block; float: left;margin-left: 35px; width: 300px;" />
                    <a href="#" rel="Question ?" style="display: block; float: left;padding-left: 3px;padding-top: 4px;" class="question-dialog" >
                        <img src="<?php echo $httphost ?>/images/mark.png" alt="question" title="isbn" />
                    </a>
                </td>
            </tr>
            <tr class="claire">
                <th class="designation" style="display: block;width: 130px; height:86px;background-image:none; border-bottom: none;text-align: left;padding: 5px 0 0 10px;">
                    Visuel
                </th>
                <td colspan="2" width="100%" style="padding: 0;border-bottom:  1px dotted #9eb0be;">
                    <select type="text" name="visuel" value="" class="form" style="display: block; float: left;margin-left: 35px; width: 300px;" id="visuel" >
                        <?php
                        $image = new Image();
                        $produit = new Produit();
                        $produit->charger($_REQUEST['ref']);
                        $query = "select * from $image->table where produit='$produit->id' and produit>0 order by classement";
                        $resul = mysql_query($query, $image->link);
                        while ($row = mysql_fetch_object($resul)) {
                            ?>
                            <option value="<?php echo $variable->valeur; ?>/client/gfx/photos/produit/<?php echo($row->fichier); ?>"
                                    data-imagesrc="<?php echo $variable->valeur; ?>/client/gfx/photos/produit/<?php echo($row->fichier); ?>"
                                    data-description="<?php echo($row->fichier); ?>"><?php echo($row->fichier); ?></option>
                                <?php } ?>
                    </select>
                    <a href = "#" rel = "Question ?" style = "display: block; float: left;padding-left: 3px;padding-top: 30px;" class="question-dialog" >
                        <img src = "<?php echo $httphost ?>/images/mark.png" alt = "question" title="visuel" />
                    </a>
                </td>
            </tr>
        <?php } else { ?>
            <tr class="claire">
                <td colspan="3">
                    <p style="width: 100%;text-align: center;font-weight: bold;">Aucun comparateur n'a été activé ou installé.</p>
                </td>
            </tr>
        <?php } ?>
    </table>
    <div class = "bloc_fleche" style = "cursor:pointer" onclick = "$('#shopbots').hide('slow');">
        <img src = "gfx/fleche_accordeon_up.gif" alt = "fleche">
    </div>
</div>
<div id="dialog-fabricant" title="Fabricant">
    <p>fabricant</p>
</div>
<div id="dialog-ref-fabricant" title="Référence abricant">
    <p>ref. fabricant</p>
</div>
<div id="dialog-ean-cup" title="EAN/CUP">
    <p>ean/cup</p>
</div>
<div id="dialog-isbn" title="ISBN">
    <p>isbn</p>
</div>
<div id="dialog-visuel" title="visuel">
    <p>visuel</p>
</div>
<div id="dialog-conf" title="Configuration">
    <fieldset>
        <label for="search">Tapez votre catégorie et naviguez avec les flèches haut et bas de votre clavier :</label>
        <input type="text" autocomplete="off" id="search" style="width:440px" value="" onFocus="this.value = ''" />
        <select name="categorie" id="categorie-comp" style="width:446px">
            <option value="">Patientez...</option>
        </select>
        <input type="hidden" name="comparateur" value="" id="nom-comparateur" />
        <br />
        <input type="submit" value="Enregistrer" id="submit-cat" />
    </fieldset>
</div>
<script type="text/javascript">
    var httphost = "<?php echo $httphost; ?>";
</script>
<script type="text/javascript" src="<?php echo $httphost; ?>/js/jquery.ddslick.min.js"></script>
<script type="text/javascript" src="<?php echo $httphost; ?>/js/search.js"></script>
<script type="text/javascript" src="<?php echo $httphost; ?>/js/jquery-dialog.js"></script>
<script type="text/javascript" src="<?php echo $httphost; ?>/js/produitmodifier_js.js"></script>
<script type="text/javascript">
    
    $(document).ready(function() {
        $("head").append("<link type='text/css' rel='stylesheet' href='<?php echo $httphost; ?>/css/jquery-ui-dialog.css' \/>");
        $('#visuel').ddslick({
            width: 300,
            selectText: "Selectionner un visuel",
            imagePosition: "left"
        });
    });
</script>